#include <stdio.h>
#include <stdlib.h>

int main() 
{
    printf("%d %d\n", 1000, 10000);
    for (int i = 0; i < 999; i++) 
    {
        printf("aaaaaaaaaaaaaaaaaaaa\n");
    }
    for (int i = 0; i <= 10000; i++)
    {
        printf("a\n");
    }
    return 0;
}